/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the Open-Xchange, Inc. group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2004-2010 Open-Xchange, Inc.
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.event.impl;

import java.util.Map;
import java.util.Set;
import com.openexchange.event.CommonEvent;
import com.openexchange.session.Session;

/**
 * {@link CommonEventImpl} - Implementation of {@link CommonEvent}.
 * 
 * @author <a href="mailto:sebastian.kauss@open-xchange.com">Sebastian Kauss</a>
 */
public final class CommonEventImpl implements CommonEvent {

    private final int contextId;

    private final int userId;

    private final Map<Integer, Set<Integer>> affectedUsersWithFolder;

    private final int module;

    private final Object actionObj;

    private final Object oldObj;

    private final Object sourceFolder;

    private final Object destinationFolder;

    private final int action;

    private final Session session;

    public CommonEventImpl(final int contextId, int userId, Map<Integer, Set<Integer>> affectedUsersWithFolder, final int action, final int module, final Object actionObj, final Object oldObj, final Object sourceFolder, final Object destinationFolder, final Session session) {
        super();
        this.contextId = contextId;
        this.userId = userId;
        this.affectedUsersWithFolder = affectedUsersWithFolder;
        this.action = action;
        this.module = module;
        this.actionObj = actionObj;
        this.oldObj = oldObj;
        this.sourceFolder = sourceFolder;
        this.destinationFolder = destinationFolder;
        this.session = session;
    }

    public int getContextId() {
        return contextId;
    }

    public int getUserId() {
        return userId;
    }

    public int getModule() {
        return module;
    }

    public Object getActionObj() {
        return actionObj;
    }

    public Object getOldObj() {
        return oldObj;
    }

    public Object getSourceFolder() {
        return sourceFolder;
    }

    public Object getDestinationFolder() {
        return destinationFolder;
    }

    public int getAction() {
        return action;
    }

    public Session getSession() {
        return session;
    }

    public Map<Integer, Set<Integer>> getAffectedUsersWithFolder() {
        return affectedUsersWithFolder;
    }
}
